%{?python_enable_dependency_generator}

Name:           rtv
Version:        1.26.0
Release:        1%{?dist}
Summary:        A simple terminal viewer for Reddit (Reddit Terminal Viewer)

License:        MIT
URL:            https://github.com/michael-lazar/rtv
Source0:        https://github.com/michael-lazar/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Patch to unbundle praw from setup.py.
Patch0:         rtv-unbundle-praw.patch

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest >= 3.1.0
BuildRequires:  python3-pytest-xdist >= 1.22.5
BuildRequires:  python3-coverage
BuildRequires:  python3-mock
BuildRequires:  python3-pylint
BuildRequires:  python3-vcrpy
BuildRequires:  python3-coveralls
BuildRequires:  python3-yarl
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-decorator
BuildRequires:  python3-kitchen
BuildRequires:  python3-requests >= 2.4.0
BuildRequires:  python3-six
BuildRequires:  python3-praw

%{?python_provide:%python_provide python3-%{name}}

%description
RTV provides an interface to view and interact with reddit from your terminal.
It's compatible with most terminal emulators on Linux and OS X.
RTV is built in python using the curses library.

%prep
%autosetup -p1 -n %{name}-%{version}
rm -rf %{name}.egg-info

# Unbundle praw.
rm -rf rtv/packages/praw

%build
%py3_build

%install
%py3_install

#check
#{__python3} -m pytest tests

%files
%doc README.md THEMES.md AUTHORS.rst CHANGELOG.rst CONTROLS.md
%license LICENSE
%{_bindir}/rtv
%{_mandir}/man1/rtv.1.*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Tue Mar 05 2019 Ben Rosser <rosser.bjr@gmail.com> - 1.26.0-1
- Updated to latest upsream release, 1.26.0.

* Tue Feb 12 2019 Ben Rosser <rosser.bjr@gmail.com> - 1.25.0-1
- Update to latest upstream release, 1.25.0.

* Thu Jan 10 2019 Ben Rosser <rosser.bjr@gmail.com> - 1.24.0-1
- Update to latest upstream release.
- Remove Python 2 conditional statements.

* Wed Mar 21 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.22.1-1
- Update version

* Fri Feb 16 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.21.0-1
- Update version
- Run test suite
- Update BRs and Requires

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.14.1-1
- Update to 1.14.1
- Rebase patch

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.13.0-2
- Rebuild for Python 3.6

* Thu Oct 27 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.13.0-1
- Upgrade to 1.13.0

* Sun Oct 09 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.12.1-1
- Upgrade to 1.12.1

* Sun Aug 28 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.12.0-1
- Upgrade to 1.12.0

* Fri Aug 26 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.11.0-1
- Initial package
